Subject: Re: [Gendispatch] I-D Action: draft-rsalz-2028bis-00.txt

From: Colin Perkins <[email-masked]>
Date: Wed, 8 Sep 2021 23:08:38 +0100

Hi,

Thanks for preparing this, it’s important to bring the material up-to-date. 

I have some comments about the material on the IRTF in section 4.7. 

I agree that the IRTF follows some of the IETF policies and procedures, but it also diverges from IETF procedures in some significant ways. Saying that it “generally follows” those procedures may give the wrong expectation.

The first paragraph of section 4.7 also states that: "If an IRTF activity generates a specification that is sufficiently stable to be considered for Internet standardization, the specification is processed through the IETF using the rules in this document”. This is not inaccurate, but perhaps over-emphasises the possibility that an IRTF group will produce a specification suitable for standardisation. IRTF outputs are sometimes experimental protocol specifications, but they’re also often research papers.

Section 4.7 continues with: "A Working Group may ask an IRTF Research Group for advice or other input”. This is correct, but it might be worth emphasising that such advice or input has no special status in IETF.

Finally, section 4.7 concludes: " Details of the organization and operation of the IRTF, the ISRG, and its Research Groups may be found in [IRTF]”. Aside from the typo (ISRG should be IRSG), this implies that the reader knows what is the IRSG but that’s not mentioned in this draft.

Given this, I suggest that section 4.7 of this draft could possibly be rephrased as follows (borrowing a lot of text from RFC 2014):

   The IRTF focuses on longer term research issues related
   to the Internet while the parallel organization, the 
   Internet Engineering Task Force (IETF), focuses on the
   shorter term issues of engineering and standards making.

   The products of IRTF research groups are typically research
   results that are published in scholarly conferences and
   journals. Research groups also sometimes develop experimental
   protocols or technologies that may be suitable for possible
   standardisation in IETF. Similarly, IETF working groups
   sometimes ask research groups for advice or other input. 
   Contributions from research groups, however, carry no more 
   weight than other community input, and go through the same
   standards setting process as any other proposal. 

   The IRTF is managed by the IRTF Chair in consultation with the
   Internet Research Steering Group (IRSG).  The IRSG membership
   includes the IRTF Chair, the chairs of the various Research Group
   and possibly other individuals ("members at large") from the 
   research community. Details of the organization and operation 
   of the IRTF, the ISRG, and its Research Groups may be found in
   [RFC 2014], [RFC 4440], [RFC 7418], [RFC 7827].

Cheers,
Colin

> On 3 Sep 2021, at 20:33, [email-masked] wrote:
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
>        Title           : Entitities Involved in the IETF Standards Process
>        Author          : Rich Salz
> 	Filename        : draft-rsalz-2028bis-00.txt
> 	Pages           : 10
> 	Date            : 2021-09-03
> 
> Abstract:
>   This document describes the individuals and organizations involved in
>   the IETF standards process as described in [IETFPROCS].  It includes
>   brief descriptions of the entities involved, and the role they place
>   in the standards process.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-rsalz-2028bis/
> 
> There is also an HTML version available at:
> https://www.ietf.org/archive/id/draft-rsalz-2028bis-00.html
> 
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

-- 
Colin Perkins
https://csperkins.org/

---

From: "Salz, Rich" <[email-masked]>
Date: Thu, 9 Sep 2021 13:04:10 +0000

I am happy to take your suggested text as a replacement for 4.7, thanks. I want to retain the sentence about consulting, however.

Will that address all your concerns?  https://github.com/richsalz/draft-ietf-rfc2028bis/pull/4

Thanks for the feedback!

---

From: Colin Perkins <[email-masked]>
Date: Thu, 9 Sep 2021 15:04:52 +0100

> On 9 Sep 2021, at 14:04, Salz, Rich <[email-masked]> wrote:
> 
> Will that address all your concerns?  https://github.com/richsalz/draft-ietf-rfc2028bis/pull/4 <https://github.com/richsalz/draft-ietf-rfc2028bis/pull/4>
>  
> Thanks for the feedback!

I’d merged the sentence about consulting in earlier, but I’m happy with it in either place. 

Cheers,
Colin

---

From: "Salz, Rich" <[email-masked]>
Date: Thu, 9 Sep 2021 14:50:35 +0000

>I’d merged the sentence about consulting in earlier, but I’m happy with it in either place.

oh right.  Updated the PR to remove my duplication :)